org.eclipse.jdt.debug.core

## Interface IJavaThreadGroup

All Superinterfaces:
  IAdaptable, IDebugElement

    public interface IJavaThreadGroup
    extends IDebugElement

Represents a thread group in the target VM.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the name of this thread group.
`IJavaThreadGroup` `getThreadGroup()` Returns the thread group this thread group is contained in or `null` if none.
`IJavaThreadGroup[]` `getThreadGroups()` Returns immediate thread groups contained in this thread.
`IJavaThread[]` `getThreads()` Returns the threads in this thread group.
`boolean` `hasThreadGroups()` Returns whether this thread group contains subgroups.
`boolean` `hasThreads()` Returns whether this group contains any threads.

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getThreads

    IJavaThread[] getThreads()
                      throws DebugException

Returns the threads in this thread group. Does not include threads in subgroups.

Returns:
  threads in this group
Throws:
  `DebugException` - if the request fails

#### hasThreads

    boolean hasThreads()
                throws DebugException

Returns whether this group contains any threads.

Returns:
  whether this group contains any threads
Throws:
  `DebugException` - if the request fails

#### getThreadGroup

    IJavaThreadGroup getThreadGroup()
                             throws DebugException

Returns the thread group this thread group is contained in or `null` if none.

Returns:
  parent thread group or `null`
Throws:
  `DebugException` - if the request fails

#### hasThreadGroups

    boolean hasThreadGroups()
                     throws DebugException

Returns whether this thread group contains subgroups.

Returns:
  whether this thread group contains subgroups
Throws:
  `DebugException` - if the request fails

#### getThreadGroups

    IJavaThreadGroup[] getThreadGroups()
                                throws DebugException

Returns immediate thread groups contained in this thread. Does not include subgroups of immediate groups.

Returns:
  thread groups contained in this group
Throws:
  `DebugException` - if the request fails

#### getName

    String getName()
            throws DebugException

Returns the name of this thread group.

Returns:
  thread group name
Throws:
  `DebugException` - if the request fails